%global repo dde-session-shell

Name:           deepin-session-shell
Version:        6.0.29
Release:        %autorelease
Summary:        Deepin Desktop Environment - session-shell module
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-session-shell
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6LinguistTools)
# BuildRequires:  cmake(Qt6WebEngineWidgets)
# lrelease-qt5
BuildRequires:  qt6-linguist

BuildRequires:  cmake(Dtk6Widget)
BuildRequires:  cmake(Dtk6CMake)
BuildRequires:  cmake(Dtk6Core)
BuildRequires:  cmake(Dtk6Tools)

BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(liblightdm-qt6-3)
BuildRequires:  pam-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig(libdeepin_pw_check)

BuildRequires:  desktop-file-utils
BuildRequires:  cmake(GTest)

Requires:       deepin-network-core
Requires:       deepin-qt5integration
# provides needed directories
Requires:       dbus-common
Requires:       %{_bindir}/qdbus-qt5
# used by /etc/deepin/greeters.d/00-xrandr
Requires:       %{_bindir}/xrandr
# used by /etc/deepin/greeters.d/10-cursor-theme
Requires:       %{_bindir}/xrdb
Requires:       lightdm

Provides:       lightdm-deepin-greeter%{?_isa} = %{version}-%{release}
Provides:       lightdm-greeter%{?_isa} = %{version}-%{release}

%description
DDE session shell provides two applications: dde-lock and lightdm-deepin-greeter.
dde-lock provides screen lock function, and lightdm-deepin-greeter provides
login function.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}


sed -i 's|/usr/lib/x86_64-linux-gnu|%{_libdir}|' \
    files/wayland/deepin-greeter-wayland \
    files/wayland/lightdm-deepin-greeter-wayland

%build
%cmake -GNinja -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}
%cmake_build

%install
%cmake_install
%find_lang dde-session-shell --with-qt
rm %{buildroot}%{_datadir}/dde-session-shell/translations/dde-session-shell.qm
chmod +x %{buildroot}%{_bindir}/deepin-greeter

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f dde-session-shell.lang
%doc README.md
%license LICENSE
%{_bindir}/dde-lock
%{_bindir}/lightdm-deepin-greeter
%{_bindir}/deepin-greeter
%dir %{_prefix}/lib/dde-session-shell
%dir %{_prefix}/lib/dde-session-shell/modules
%{_prefix}/lib/dde-session-shell/modules/libvirtualkeyboard.so
%dir %{_datadir}/dde-session-shell
%{_datadir}/dde-session-shell/dde-session-shell.conf
%{_datadir}/deepin-authentication/
%{_datadir}/applications/dde-lock.desktop
%{_datadir}/xgreeters/lightdm-deepin-greeter.desktop
%{_datadir}/dbus-1/services/org.deepin.dde.*.service
%{_datadir}/dsg/configs/org.deepin.dde.lightdm-deepin-greeter/*.json
%{_datadir}/dsg/configs/org.deepin.dde.lock/*.json
%{_datadir}/dsg/configs/org.deepin.dde.session-shell/org.deepin.dde.session-shell.json
%{_sysconfdir}/pam.d/dde-lock
%{_sysconfdir}/deepin/greeters.d/00-xrandr
%{_sysconfdir}/deepin/greeters.d/10-cursor-theme
%{_sysconfdir}/deepin/greeters.d/lightdm-deepin-greeter
%{_sysconfdir}/lightdm/deepin/qt-theme.ini

%files devel
%{_includedir}/dde-session-shell/
%{_libdir}/cmake/DdeSessionShell/

%changelog
%autochangelog
